Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class Response

    java.lang.Object
      weblogic.uddi.client.structures.response.Response

Direct Known Subclasses:
  AuthToken, ListResponse

    public abstract class Response

extends Object

Field Summary
`protected String` | `generic`
`protected String` | `operator`

Constructor Summary
`Response()`

Method Summary
`String` | `getGeneric()` Gets the value of the generic string.
`String` | `getOperator()` Gets the value of the operator.
`void` | `setGeneric(String value)` sets the value of the generic.
`void` | `setOperator(String value)` Sets the value of the operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generic

    protected String generic

### operator

    protected String operator

Constructor Detail

### Response

    public Response()

Method Detail

### getOperator

    public String getOperator()

  Gets the value of the operator.

  Returns:
    the current value of the operator.

### setOperator

    public void setOperator(String value)

  Sets the value of the operator.

  Parameters:
    `value` - the new value of the operator.

### getGeneric

    public String getGeneric()

  Gets the value of the generic string.

  Returns:
    the current value of the generic string.

### setGeneric

    public void setGeneric(String value)

  sets the value of the generic.

  Parameters:
    `value` - value of the generic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD